Public Member Functions | Protected Attributes | Private Member Functions | List of all members
PowerPoint3ParserInternal::SubDocument Class Referencefinal

Internal: the subdocument of a PowerPointParser. More...

Inheritance diagram for PowerPoint3ParserInternal::SubDocument:

## Public Member Functions
| SubDocument (PowerPoint3Parser &pars, MWAWInputStreamPtr const &input, SlideContent const *slide, int tId, bool mainZone, bool master)
| constructor for text More...
| SubDocument (PowerPoint3Parser &pars, MWAWInputStreamPtr const &input, SlideContent const *slide)
| constructor for note More...
| ~SubDocument () final
| destructor More...
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!= More...
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes
SlideContent const * | m_slide
| the slide More...
int | m_textId
| the text id More...
bool | m_mainTextBox
| flag to know if we send the title or the body More...
bool | m_isMaster
| flag to know if we send a master text zone More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
std::shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions
| SubDocument (SubDocument const &)=delete
SubDocument & | operator= (SubDocument const &)=delete

## Detailed Description

Internal: the subdocument of a PowerPointParser.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/3]

PowerPoint3ParserInternal::SubDocument::SubDocument | ( | PowerPoint3Parser & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | SlideContent const * | slide,
|  | int | tId,
|  | bool | mainZone,
|  | bool | master
| ) |  |
| inline

constructor for text

## ◆ SubDocument() [2/3]

PowerPoint3ParserInternal::SubDocument::SubDocument | ( | PowerPoint3Parser & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | SlideContent const * | slide
| ) |  |
| inline

constructor for note

## ◆ ~SubDocument()

PowerPoint3ParserInternal::SubDocument::~SubDocument | ( |  | ) |
| inline final

destructor

## ◆ SubDocument() [3/3]

PowerPoint3ParserInternal::SubDocument::SubDocument | ( | SubDocument const & |  | ) |
| private delete

## Member Function Documentation

## ◆ operator!=()

bool PowerPoint3ParserInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| inline final virtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ operator=()

SubDocument& PowerPoint3ParserInternal::SubDocument::operator= | ( | SubDocument const & |  | ) |
| private delete

## ◆ parse()

void PowerPoint3ParserInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |
| final virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_isMaster

bool PowerPoint3ParserInternal::SubDocument::m_isMaster
| protected

flag to know if we send a master text zone

## ◆ m_mainTextBox

bool PowerPoint3ParserInternal::SubDocument::m_mainTextBox
| protected

flag to know if we send the title or the body

## ◆ m_slide

SlideContent const* PowerPoint3ParserInternal::SubDocument::m_slide
| protected

the slide

## ◆ m_textId

int PowerPoint3ParserInternal::SubDocument::m_textId
| protected

the text id

The documentation for this class was generated from the following file:

- PowerPoint3Parser.cxx